com.tibbo.aggregate.common.sql

## Class SqlColumnValues

- java.lang.Object
- - com.tibbo.aggregate.common.sql.SqlColumnValues

-     public class SqlColumnValues
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlColumnValues(SqlTable table)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(SqlColumn column)`
    `void` | `addValue(SqlColumn column, java.lang.Object value)`
    `void` | `fetch(java.sql.ResultSet rs)`
    `java.util.List<java.lang.String>` | `getColumnNames()`
    `java.util.List<java.lang.Object>` | `getColumnValues()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getColumnValuesMap()`
    `java.util.List<java.lang.String>` | `getFullColumnNames()`
    `java.lang.String` | `getFullColumnNamesList()`
    `SqlTable` | `getTable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlColumnValues

          public SqlColumnValues(SqlTable table)

  - ### Method Detail

    - #### addColumn

          public void addColumn(SqlColumn column)

    - #### addValue

          public void addValue(SqlColumn column,
                               java.lang.Object value)

    - #### fetch

          public void fetch(java.sql.ResultSet rs)
                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getFullColumnNames

          public java.util.List<java.lang.String> getFullColumnNames()

    - #### getFullColumnNamesList

          public java.lang.String getFullColumnNamesList()

    - #### getColumnNames

          public java.util.List<java.lang.String> getColumnNames()

    - #### getColumnValues

          public java.util.List<java.lang.Object> getColumnValues()

    - #### getTable

          public SqlTable getTable()

    - #### getColumnValuesMap

          public java.util.Map<java.lang.String,java.lang.Object> getColumnValuesMap()